/**
 * 系统基础配置Dao
 * @date 2021-05-31 15:37:34
 * @author 吴锋霖
 */
export declare class SysBasicCache {
    private serviceCenterMap;
    private sysAppMap;
    private envMap;
    /**
        * 示例函数fun1
        */
    init(): Promise<any>;
    private reloadAll;
    /**
     * 通过主键获取服务中心信息
     */
    getServiceCenter(id: string): any;
    /**
     * 通过环境ID获取环境配置
     */
    getSysEnv(id: string): any;
    /**
     * 通过应用ID获取应用信息
     */
    getSysApp(id: string): any;
    /**
     * 加载服务中心
     * @param parameters
     */
    private reloadServiceCenter;
    /**
     * 加载服务中心
     * @param parameters
     */
    private reloadSysEnv;
    /**
     * 加载应用信息
     * @param parameters
     */
    private reloadSysApp;
}
